Skip to content

Get available GenAI evaluation models

GET
/model_evaluation/genai_evaluation_models/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/model_evaluation/genai_evaluation_models/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successful response

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
model
object
id
integer
name
string
display_name
string
category
string
description
string
is_active
boolean
url_info
string
icon
string
total_runs_count
integer
is_internal
boolean
is_inventory_available
boolean
pricing
object
currency
string
cost_per_n_input_tokens
number
cost_per_n_output_tokens
number
n_value
integer
is_model_available_for_evaluation
boolean
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1,
"model": {
"id": 25,
"name": "llama3_2_3b_instruct",
"display_name": "Llama 3.2 3B Instruct",
"category": "txt2txt",
"description": "This low-latency model is perfect for text summarization, classification, and language translation, ideal for mobile writing assistants and customer service apps.",
"is_active": true,
"url_info": "{}",
"icon": "/framework/Llama-3.2-3B-Instruct.png",
"total_runs_count": 0,
"is_internal": false,
"is_inventory_available": true
},
"pricing": {
"currency": "INR",
"cost_per_n_input_tokens": 54.6,
"cost_per_n_output_tokens": 231,
"n_value": 1000000
},
"is_model_available_for_evaluation": true
}
],
"errors": {},
"message": "Success"
}